/**********************************************************************************************
**   Gästebuch für private Homepages
**
**   Autor: Thomas Meyer
**
**   nicht für Firmen oder kommerzielle Nutzung, keine unerlaubte Weitergabe, kein Verkauf
**
**   © 2006, Thomas Meyer www.All-Community.de - Copyright Hinweis nicht entfernen!
**
***********************************************************************************************/

function addEmbTag(tag, ziel) {
  ziel = document.getElementById(ziel);
  ziel.focus();
  var startTag = tag.match(/^\[[^\]]+\]/);
  var endTag = tag.match(/\[[^\]]+\]$/);

  if (document.selection && document.selection.createRange().parentElement().id == ziel.id) {

    var currentSelection = document.selection.createRange().text;
    if (currentSelection == '') { empty_selection(); return; }
    document.selection.createRange().text = startTag + currentSelection + endTag;

  } else if (window.getSelection) {

    var currentSelection = ziel.value.slice(ziel.selectionStart,ziel.selectionEnd);
    if (currentSelection == '') { empty_selection(); return; }
    ziel.value = ziel.value.slice(0,ziel.selectionStart) +
                 startTag + currentSelection + endTag +
                 ziel.value.slice(ziel.selectionEnd, ziel.textLength);

  } else {

    ziel.value+=tag;

  };

}

function empty_selection()
{
  alert(noselection_js);
}

// © 2006, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!